/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */

using System;
using System.IO;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Reflection;
using RestSharp;
using Xunit;

using Coscine.ApiClient.Core.Client;
using Coscine.ApiClient.Core.Api;
// uncomment below to import models
//using Coscine.ApiClient.Core.Model;

namespace Coscine.ApiClient.Core.Test.Api
{
    /// <summary>
    ///  Class for testing MaintenanceApi
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the API endpoint.
    /// </remarks>
    public class MaintenanceApiTests : IDisposable
    {
        private MaintenanceApi instance;

        public MaintenanceApiTests()
        {
            instance = new MaintenanceApi();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of MaintenanceApi
        /// </summary>
        [Fact]
        public void InstanceTest()
        {
            // TODO uncomment below to test 'IsType' MaintenanceApi
            //Assert.IsType<MaintenanceApi>(instance);
        }

        /// <summary>
        /// Test ApiV2MaintenancesOptions
        /// </summary>
        [Fact]
        public void ApiV2MaintenancesOptionsTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //instance.ApiV2MaintenancesOptions();
        }

        /// <summary>
        /// Test GetCurrentMaintenances
        /// </summary>
        [Fact]
        public void GetCurrentMaintenancesTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //var response = instance.GetCurrentMaintenances();
            //Assert.IsType<MaintenanceDtoPagedResponse>(response);
        }
    }
}
